function [out1,out2]=calc_rise_time(arr1,arr2)
try
    count=length(arr1);
    fin_temp=0.63*arr1(count);
    minimum=9999;
    i_min=0;
    out2=0;
    maxim=max(arr1);
    minim=min(arr1);
    init_temp=arr1(1);
        [row column]=find(arr2==maxim);
        for i =1:min(row)
        a=abs(arr2(i,2)-fin_temp);
        if(a<minimum)
            minimum=a;
            i_min=i;
            out2=arr2(i,2);
        end
    end
    out1=arr2(i_min,1);
    
catch
    error('Error-Sample Size too small');
end

end
